import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;
import javax.swing.JPanel;


public class AccessibleDescriptionDemo extends JFrame {

	public AccessibleDescriptionDemo() {
		InnerPanel ip = new InnerPanel();
		getContentPane().add(ip);
		setVisible(true);

	}
	
	private class InnerPanel extends JPanel implements KeyListener {

		private int counter;
		private static final String message = "Counter value: ";
		
		private InnerPanel() {
			setFocusable(true);
			addKeyListener(this);
			getAccessibleContext().setAccessibleDescription(message + counter);
		}
		/* (non-Javadoc)
		 * @see java.awt.event.KeyListener#keyTyped(java.awt.event.KeyEvent)
		 */
		@Override
		public void keyTyped(KeyEvent e) {
			// TODO Auto-generated method stub
			
		}

		/* (non-Javadoc)
		 * @see java.awt.event.KeyListener#keyPressed(java.awt.event.KeyEvent)
		 */
		@Override
		public void keyPressed(KeyEvent e) {
			if (e.getKeyCode() == KeyEvent.VK_UP) {
				counter++;
				getAccessibleContext().setAccessibleDescription(message + counter);
				repaint();
				e.consume();
			}
			if (e.getKeyCode() == KeyEvent.VK_DOWN) {
				counter--;
				getAccessibleContext().setAccessibleDescription(message + counter);
				repaint();
				e.consume();
			}
			
		}

		/* (non-Javadoc)
		 * @see java.awt.event.KeyListener#keyReleased(java.awt.event.KeyEvent)
		 */
		@Override
		public void keyReleased(KeyEvent e) {
			// TODO Auto-generated method stub
			
		}
		
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		new AccessibleDescriptionDemo();

	}

}
